* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

/* @font-face {
    font-display: swap;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 300;
    src: url('../fonts/roboto-v30-latin-300.woff2') format('woff2');
  }
  @font-face {
    font-display: swap;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/roboto-v30-latin-regular.woff2') format('woff2');
  }
  @font-face {
    font-display: swap;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/roboto-v30-latin-700.woff2') format('woff2');
  } */

  /* roboto-300 - cyrillic_greek_latin */
@font-face {
    font-display: swap;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 300;
    src: url('../fonts/roboto-v30-cyrillic_greek_latin-300.woff2') format('woff2');
  }
  /* roboto-regular - cyrillic_greek_latin */
  @font-face {
    font-display: swap;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/roboto-v30-cyrillic_greek_latin-regular.woff2') format('woff2');
  }
  /* roboto-700 - cyrillic_greek_latin */
  @font-face {
    font-display: swap;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/roboto-v30-cyrillic_greek_latin-700.woff2') format('woff2');
  }

:root {

    --gap: 20px;
    
    --blue: #286bb7;
    --blueHSL: 212, 64%, 34%;
    --blue-light: #3d84d5;
    --blue-dark: #0a346a;
    --blue-dark: #005B9C;
    --orange: #e2b224;
    --grey: #a5a5a5;
    --white: #fff;  

    --font-color: var(--white);
    --main-color: var(--blue);
    --main-color-highlight: var(--blue-light);
    --foot-bg: var(--blue-dark);

    --d: 700ms;
    --e: cubic-bezier(0.19, 1, 0.22, 1);

    --font-size-300: 1.4rem;
    --font-size-400: 1.6rem;
    --font-size-500: 2rem;
    --font-size-600: 2.4rem;
    --font-size-700: 2.8rem;
    --font-size-800: 3.2rem;
    --font-size-900: 8rem;

    --width-max: 1200px;
    --width-max-big: 1600px;
    --width-max-small: 800px;

    --width-base: 92%;
}

html {
    font-size: 62.5%;
}

body {
    font-size: var(--font-size-400);
    font-family: 'Roboto', Verdana, Arial, sans-serif;
    line-height: 1.2;
    color: var(--font-color);
}

.panel {
    position: absolute;
    top: 50px;
    right: 20px;
    z-index: 20;
}

:where(h1, h2, h3, h4, h5, p) + :where(h1, h2, h3, h4, h5, p) {
    margin-top: 2rem;
}
h1,h2,h3,h4,h5 {
    font-weight: 300;
}

h1 {
    font-size: var(--font-size-900);
}
h2, h3 {
    font-size: var(--font-size-800);
}
h4,h5 {
    font-size: var(--font-size-700);
}

hr {
    margin-block: 2rem;
}

.site {
    min-height: 100vh;
    flex-direction: column;
    position: relative;
    background: var(--blue-dark);
    width: 100%;
}
.site.bg-image {
    /* if you want bg image*/
    background: url(../vid/poster.jpg) no-repeat center / cover;
}
/*filter for site bg*/
.site.shadow::before {
    content: '';
    position: absolute;
    inset: 0;
    background: linear-gradient( to right, var(--blue), var(--grey), var(--orange));
    opacity: .35;
    z-index: 1;
}
.site.shadow::after {
    content: '';
    position: absolute;
    inset: 0;
    background: linear-gradient( to bottom, black, rgba(0,0,0,0));
    opacity: .75;
    z-index: 1;
}
.site video {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    min-height: 100%;
    min-width: 100%;
    object-fit: cover;
}
.head {
    color: var(--white);
    position: relative;
    z-index: 2;
}

.head>.inner {
    display: grid;
    gap: var(--gap);
    justify-items: end;
    padding-block: clamp(var(--gap)*4, 10%, var(--gap)*6) clamp(calc(var(--gap)/2), 1%, calc(var(--gap)*2));
}

.head>.inner,
.main>.inner,
.foot>.inner {
    width: var(--width-base);
    margin-inline: auto;
}

.main>.inner {
    max-width: var(--width-max);
}

.head>.inner,
.foot>.inner {
    max-width: var(--width-max);
}

.head p {
    font-size: var(--font-size-500);
}

.head .logo {
    width: 40px;
}

.main {
    flex: 1 0 auto;
    z-index: 2;
    padding: clamp(40px, 8vh, calc(var(--gap)*5)) 0 clamp(40px, 12vh, calc(var(--gap)*7.5));
}

ul {
    padding-left: var(--gap);
}

a {
    color: var(--main-color-highlight);
}

/* utilities*/

.flex-container {
    display: flex;
}

.inline-flex-container {
    display: inline-flex;
}

.flex-wrap {
    flex-wrap: wrap;
}

.justify-center {
    justify-content: center;
}

.align-center {
    align-items: center;
}

.text-center {
    text-align: center;
}
.text-right {
    text-align: right;
}

.col-3 .col {
    flex-basis: 100%;
}

.company {
    text-transform: uppercase;
    text-align: center;
}


.button {
    display: inline-block;
    color: var(--white);
    padding: 10px 20px;
    text-decoration: none;
    background: var(--main-color);
    transition: background-color calc(var(--d) * 1) var(--e);
}

.uppercase {
    text-transform: uppercase;
}

.text-color-main {
    color: var(--main-color);
}

.gap-s {
    gap: var(--gap);
}
.gap-m {
    gap: calc(var(--gap)*2);
}

.mt-s {
    margin-top: var(--gap);
}
.mt-m {
    margin-top: calc(var(--gap) * 2);
}
.mt-l {
    margin-top: calc(var(--gap) * 5);
}
.mb-s {
    margin-bottom: var(--gap);
}
.mb-m {
    margin-bottom: calc(var(--gap) * 2);
}
.mb-l {
    margin-bottom: calc(var(--gap) * 5);
}
.mw-m {
    max-width: var(--width-max-small);
}
.mi-a {
    margin-inline: auto;
}

/* page styles */

.logo-wrapper {
    background: url(../img/logo-white.svg) no-repeat center / contain;
    width: 224px;
    height: 44px;
}
.logo-wrapper a {
    display: block;
    width: 100%;
    height: 100%;
}
.logo-wrapper span {
    display: none;
}

svg.logo {
    max-width: 65px;
    max-height: 105px;
    width: 100%;
}

.teaser {
    font-size: var(--font-size-600);
    font-weight: 300;
}

/* cards */

.card {
    display: grid;
    place-items: center;
    position: relative;
    min-height: 205px;
    background: rgba(255,255,255,.8);
    transition: background-position calc(var(--d) * 1) var(--e), transform calc(var(--d) * 2) var(--e);
    overflow: hidden;
    text-decoration: none;
    /* color: var(--white); */
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1),
        0 2px 2px rgba(0, 0, 0, 0.1),
        0 4px 4px rgba(0, 0, 0, 0.1),
        0 8px 8px rgba(0, 0, 0, 0.1),
        0 16px 16px rgba(0, 0, 0, 0.1);
}
.card::before {
    content: '';
    display: block;
    position: absolute;
    right: -70px;
    bottom: -130px;
    width: 280px;
    height: 280px;
    background: url(../img/circle.svg) no-repeat center / 280px;
    animation: rotate 4s linear infinite;
    animation-play-state: paused;
    z-index: 1;
}
@keyframes rotate {
    0% {
        transform: rotate(0deg) translate(20px);
    }
    100% {
        transform: rotate(360deg) translate(20px);
    }
}

.card::after {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    background-image: linear-gradient(to bottom, var(--blue) 0%, var(--blue-light) 100%);
    transition: transform calc(var(--d) * 2) var(--e);
}

.card .content {
    z-index: 1;
    padding: var(--gap);
    display: grid;
    place-items: center;
    gap: var(--gap);
    --textColor: var(--blue);
    color: var(--textColor);
    transition: transform calc(var(--d)) var(--e), color calc(var(--d) * 1.5) var(--e);
}

.card p {
    color: var(--grey);
    transition: transform calc(var(--d)) var(--e), opacity calc(var(--d) * 1.5) var(--e);
    transition-delay: calc(var(--d) / 8);

}

.flag {
    display: block;
    width: 41px;
    height: 30px;
    background: no-repeat center / contain;
}
.flag-germany {
    background-image: url(../img/flags/de.svg);
}
.flag-denmark {
    background-image: url(../img/flags/dk.svg);
}
.flag-belgium {
    background-image: url(../img/flags/be.svg);
}
.flag-usa {
    background-image: url(../img/flags/usa.svg);
}
.flag-netherlands {
    background-image: url(../img/flags/nl.svg);
}
.flag-serbia {
    background-image: url(../img/flags/rs.svg);
    width: 42px;
}
.flag-czech {
    background-image: url(../img/flags/cz.svg);
}


.foot {
    background-color: var(--foot-bg);
    color: var(--white);
    display: grid;
    place-items: center;
    padding: 50px min(4%, 50px);
    z-index: 5;
}

.copy {
    font-size: var(--font-size-300);
    opacity: .6;
}

.foot :where(h1, h2, h3, h4, h5, p, a) {
    color: var(--white);
}

@media (hover: hover) {

    a:hover {
        color: var(--main-color);
    }
    .button:hover {
        color: var(--white);
        background: var(--main-color-highlight);
    }

    .logo-wrapper a:hover {
        opacity: .6;
        color: var(--white);
    }

    .card .content {
        transform: translateY(calc(100% - var(--gap) * 4 - 105px));
    }
    
    .card p {
        opacity: 0;
        color: var(--white);
        transform: translateY(50%);
    }

    .card:hover {
        transform: scale(1.02);
    }

    .card::after {
        content: '';
        transform: translateY(100%);
    }
    .card:hover::after {
        transform: translateY(0%);
    }
    .card:hover::before {
        animation-play-state: running;
    }

    .card:hover .content {
        transform: translateY(0);
        --textColor: white;
    }

    .card:hover .content p {
        opacity: 1;
        transform: translateY(0);
        color: white;
    }

    .foot a:not(:hover) {
        text-decoration: none;
    }
    .foot a:hover {
        color: var(--white);
        opacity: .8;
    }
}
@media all and (max-width: 1300px) {
    .card h3 {
        font-size: var(--font-size-500);
    }
    @media (hover: hover) {
        .card .content {
            transform: translateY(calc(100% - var(--gap) * 2.5 - 105px));
        }
    }
}
@media all and (max-width: 1024px) {
    .col-3 {
        flex-direction: column;
    }
    .gap-m {
        gap: var(--gap);
    }
    .mfp-iframe-scaler {
        padding: 0;
        min-height: 80vh;
    }
}

@media all and (max-width: 500px) {
    /* font */
    h1 {
        font-size: var(--font-size-800);
    }
    h2, h3 {
        font-size: var(--font-size-700);
    }
    .teaser {
        font-size: var(--font-size-500);
    }
    .foot .copy {
        text-align: center;
    }
    .foot .copy span {
        display: block;
    }
}